stack-1.4.0: The Haskell Tool Stack

Copyright | (c) FPComplete.com, 2015
License | BSD3
Maintainer | Tim Dysinger <tim@fpcomplete.com>
Stability | experimental
Portability | POSIX
Safe Haskell | None
Language | Haskell2010

Stack.Sig.GPG

Description

Synopsis

- gpgSign :: (MonadIO m, MonadLogger m, MonadThrow m) => Path Abs File -> m Signature
- gpgVerify :: (MonadIO m, MonadThrow m) => Signature -> Path Abs File -> m Fingerprint

# Documentation

gpgSign :: (MonadIO m, MonadLogger m, MonadThrow m) => Path Abs File -> m Signature #

Sign a file path with GPG, returning the `Signature`.

gpgVerify :: (MonadIO m, MonadThrow m) => Signature -> Path Abs File -> m Fingerprint #

Verify the `Signature` of a file path returning the `Fingerprint`.